none
We met The service cannot be activated because it does not support ASP.NET compatibility. exception when upgrade window server from 2008 to 2012 RRS feed

  • Question

  • We met  The service cannot be activated because it does not support ASP.NET compatibility. exception when upgrade window server from 2008 to 2012

    Wednesday, April 8, 2015 2:38 PM

Answers

  • Hi bricez,

    >>The service cannot be activated because it does not support ASP.NET compatibility.

    As the error said that it does not support ASP.NET compatibility, so we need to do some modification about the AspNetCompatibility property.
    One way is to add the following in the service implementation:

    [AspNetCompatibilityRequirements( RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    publicclass Service : IService
    {

    The other way is to add the following in the config file:

    <system.serviceModel>
      <serviceHostingEnvironment aspNetCompatibilityEnabled="false" multipleSiteBindingsEnabled="true" /> 
    </system.serviceModel>


    Best Regards,
    Amy Peng


    We are trying to better understand customer views on social support experience, so your participation in this interview project would be greatly appreciated if you have time. Thanks for helping make community forums a great place.
    Click HERE to participate the survey.

    Thursday, April 9, 2015 3:27 AM
    Moderator